# $Revision: 1.32 $, $Date: 2004/10/25 17:59:28 $
Summary:	Shared library configuration tool and old dynamic loader
Summary(de):	Der alter dynamischer Loader fuer libc5
Summary(es):	Cargador dinmico Linux
Summary(fr):	Outil de configuration de la bibliothque partage et ancien chargeur dynamique
Summary(pl):	Stary loader dynamiczny - do uruchamiania programw z libc5
Summary(pt_BR):	Carregador dinmico Linux
Summary(tr):	Ortak kitaplk yaplandrma arac ve dinamik ykleyici
Name:		ld.so
Version:	1.9.9
Release:	13
License:	BSD
Group:		Libraries
Source0:	ftp://sunsite.unc.edu/pub/Linux/GCC/%{name}-%{version}.tar.gz
# Source0-md5:	02ac850a6a267feed265fc74ded068b7
Patch0:		%{name}-install.patch
Prereq:		basesystem
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/lib

%description
This package contains the shared library configuration tool, ldconfig,
which is required by many packages. It also includes the shared
library loader and dynamic loader for Linux libc 5.

%description -l de
Dieses Paket enthlt das Shared-Library-Konfigurations-Tool, ldconfig,
welches fr viele Pakete notwendig ist. Es enthlt auerdem den
Shared-Library- Loader und den dynamischen Loader fr Linux libc 5.

%description -l es
Este paquete contiene el cargador dinmico para bibliotecas
compartidas.  Se requiere para todos los paquetes linkados
dinmicamente.

%description -l fr
Ce package contient l'utilitaire de configuration pour les librairies
dynamiques, ldconfig, requis par de nombreux packages. Il contient
aussi le chargeur pour les libraries partages et dynamiques de la
libc 5.

%description -l pl
W pakiecie znajduj si narzdzia do konfiguracji bibliotek
dynamicznych libc5 oraz stary loader dynamiczny - rwnie pod libc5.

%description -l pt_BR
Este pacote contm o carregador dinmico para bibliotecas
compartilhadas.  requerido para todos os pacotes linkados
dinamicamente.

%description -l tr
Bu paket, pek ok paketin gereksinim duyduu ortak kitaplklar
yaplandrma aracn ve libc-5 iin ortak kitaplk dinamik
ykleyicisini ierir.

%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

PREFIX=$RPM_BUILD_ROOT \
MANDIR=%{_mandir} \
LIBDIR=%{_libdir} \
sh instldso.sh --force

%clean
rm -rf $RPM_BUILD_ROOT

%post 	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ld.so.spec,v $
Revision 1.32  2004/10/25 17:59:28  havner
- removed sparc, it doesn't build there, and is not required by any
  package on sparc
- rel 13

Revision 1.31  2004/10/18 22:45:08  havner
- rel 12

Revision 1.30  2003/12/01 02:54:03  undefine
- release 11 to repacking to ac

Revision 1.29  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.28  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.27  2003/07/23 00:38:57  undefine
- es/pt_BR translations, small fixes

Revision 1.26  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:49:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.23  2002/08/15 13:28:48  dobrek
- Typo

Revision 1.22  2002/04/22 07:46:16  ankry
- moved man pages into glibc package
- release 10

Revision 1.21  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/10/28 23:00:49  ankry
- removed ldd.1, ldconfig.8; currently glibs supports it
- added es, pl, hu, ja man page.
- revision 9

Revision 1.17  2001/10/08 14:58:24  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.16  2000/06/09 16:20:43  zagrodzki
- release ++
- removed some unnecessary man pages
- builds properly (without compilation)
- install patch (don't run ldconfig on install)

Revision 1.15  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/29 21:42:49  zagrodzki
- changed Prereq: FHS to Prereq: basesystem

Revision 1.12  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.11  2000/03/28 14:03:14  mis
- changed filesystem requirement to FHS

Revision 1.10  1999/07/23 01:18:52  pius
- fixed %post, added %postun,
- added one more macro.

Revision 1.9  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.9.9-6]
- spec cleanup

* Fri Mar 12 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.9.9-5]
- gzipping documentation (instead bzipping)
- removed man group from man pages

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.9.9-1]
- translation modified for pl,
- fixed files permissions,
- updated to ld.so-1.9.9,
- major changes of the spec file.

* Mon Jun 29 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.9.5-9]
- build for PLD.
